Subject: Re: Windows-native "child processes" briefly open new console window
From: Andy Helten <[email-masked]>
To: Henrik Bergstrom <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 30 May 2001 11:15:22 -0400

This also happens with the VxWorks PowerPc cross-compiler, but only when
using rxvt.  When I start tcsh (or bash) in a DOS window, the additional
DOS console windows are not created.

Andy

Henrik Bergstrom wrote:

> Dear Cygwin users,
>
> I have a problem with "Cygwin latest" which I just downloaded and
> installed under Windows NT4 SP6. I have used earlier, but quite recent,
> versions of Cygwin for the exact situation up until today without
> having the same problem.
>
> The problem is that when I invoke a Windows-native cross-compilation
> version of 'gcc' (called 'ccarm' and included in VxWorks/Tornado) a
> Cygwin console window briefly flashes by on the screen for each of
> gcc's child processes (cpp.exe, cc1.exe, etc).
>
> This is very annoying and also slows down the compilation process, does
> anyone know what is causing this and how I can avoid having the windows
> being opened?
>
> /Henrik
>
> PS. Back in 1999, there was a similar question about this on this list,
> but the answer provided then seemed to assume that you could recompile
> the program causing the problem with the -mwindows switch if I
> understood the answer correctly. This is not an option for me since I
> only have the program in binary form.
>
> - --
> Henrik Bergstrom  +46-8-628 28 28  [email-masked]
> Intertex Data AB  (fax) 628 64 14
>
> -------------------8<-----------------
>
> This is the mail archive of the [email-masked] mailing
> list for the Cygwin project.
>
> Index Nav:
> [Date Index] [Subject Index] [Author Index] [Thread Index]
> Message Nav:
> [Date Prev] [Date Next]
> [Thread Prev] [Thread Next]
> Re: question on cygwin console window
> To: tanguy Risset <[email-masked]>
> Subject: Re: question on cygwin console window
> From: Charles Wilson <[email-masked]>
> Date: Fri, 14 May 1999 12:14:27 -0400
> CC: [email-masked]
> References: <[email-masked]>
> tanguy Risset wrote: > Hello
> >
> > I am using cygwin to compile c code. Every thing work well,
> > but the code is called  from a Mathematica session and at each call,
> > a cygwin console window appears very briefly on the screen and
> disapear.
> > This is very annoying because there are many successive such calls
> >
> > Could you tell me how I could suppress thos window (or have appearing
> > as a simple process)
> >
> > Thank you for your help, please tell if I am not adressing to the
> correct mailing
> > list
> >
> > Tanguy Risset add " -mwindows" to your linking options. --Chuck --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> References:
> question on cygwin console window
> From: tanguy Risset <[email-masked]>
> Index Nav:
> [Date Index] [Subject Index] [Author Index] [Thread Index]
> Message Nav:
> [Date Prev] [Date Next]
> [Thread Prev] [Thread Next]
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple